DSRA_LIST(3)

FUNCTION
dsra_list - Read ASCII represention of a linked list.

SYNOPSIS
#include <karma_dsra.h>

flag dsra_list

(Channel channel, packet_desc *descriptor, list_header *header)

DESCRIPTION
This routine will read in the ASCII representation of a linked list of data from a channel object. The routine will recursively read in sub arrays and linked lists.

channel
    The channel object to read from.

descriptor
    The descriptor for the list packets.

header
    The linked list header. This is modified. The linked list entries will be contiguous in memory.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/